Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector.entity.decorator
Class NullValueReinitializeVariableEntityFilter

    java.lang.Object
      org.optaplanner.core.impl.heuristic.selector.entity.decorator.NullValueReinitializeVariableEntityFilter

All Implemented Interfaces:
  SelectionFilter<Object>

    public class NullValueReinitializeVariableEntityFilter

extends Object
implements SelectionFilter<Object>

Behaves as if it was a UninitializedVariableEntityFilter, except when the variable is `PlanningVariable.nullable()`.

Constructor Summary
`NullValueReinitializeVariableEntityFilter(GenuineVariableDescriptor variableDescriptor)`

Method Summary
`boolean` | `accept(ScoreDirector scoreDirector, Object selection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullValueReinitializeVariableEntityFilter

    public NullValueReinitializeVariableEntityFilter(GenuineVariableDescriptor variableDescriptor)

Method Detail

### accept

    public boolean accept(ScoreDirector scoreDirector,
                          Object selection)

  Specified by:
    `accept` in interface `SelectionFilter<Object>`
  Parameters:
    `scoreDirector` - never null, the `ScoreDirector` which has the `ScoreDirector.getWorkingSolution()` to which the selection belongs or applies to
    `selection` - never null, a `PlanningEntity`, a planningValue, a `Move` or a `Selector`
  Returns:
    true if the selection is accepted, false if the selection should be discarded

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.